org.apache.cassandra.io.sstable.format

## Class SSTableReader.SizeComparator

- java.lang.Object
- - org.apache.cassandra.io.sstable.format.SSTableReader.SizeComparator

All Implemented Interfaces:
  java.util.Comparator<SSTableReader>

Enclosing class:
  SSTableReader

    public static class SSTableReader.SizeComparator
    extends java.lang.Object
    implements java.util.Comparator<SSTableReader>

### Constructor Summary

Constructors
Constructor and Description
`SizeComparator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compare(SSTableReader o1, SSTableReader o2)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`comparing, comparing, comparingDouble, comparingInt, comparingLong, equals, naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

### Constructor Detail

#### SizeComparator

    public SizeComparator()

### Method Detail

#### compare

    public int compare(SSTableReader o1,
                       SSTableReader o2)

Specified by:
  `compare` in interface `java.util.Comparator<SSTableReader>`